Fedora 27 : php (2018-6f37f99641)

High Nessus Plugin ID 111399

Synopsis

The remote Fedora host is missing a security update.

Description

**PHP version 7.1.20** (19 Jul 2018)

**Core:**

- Fixed bug php#76534 (PHP hangs on 'illegal string offset
on string references with an error handler). (Laruence)

- Fixed bug php#76502 (Chain of mixed exceptions and
errors does not serialize properly). (Nikita)

**Date:**

- Fixed bug php#76462 (Undefined property:
DateInterval::$f). (Anatol)

**exif:**

- Fixed bug php#76423 (Int Overflow lead to Heap OverFlow
in exif_thumbnail_extract of exif.c). (Stas) . Fixed bug
php#76557 (heap-buffer-overflow (READ of size 48) while
reading exif data). (Stas)

**FPM:**

- Fixed bug php#73342 (Vulnerability in php-fpm by
changing stdin to non-blocking). (Nikita)

**GMP:**

- Fixed bug php#74670 (Integer Underflow when
unserializing GMP and possible other classes). (Nikita)

**intl:**

- Fixed bug php#76556 (get_debug_info handler for
BreakIterator shows wrong type). (cmb)

**mbstring:**

- Fixed bug php#76532 (Integer overflow and excessive
memory usage in mb_strimwidth). (MarcusSchwarz)

**PGSQL:**

- Fixed bug php#76548 (pg_fetch_result did not fetch the
next row). (Anatol)

**phpdbg:**

- Fix arginfo wrt. optional/required parameters. (cmb)

**Reflection:**

- Fixed bug php#76536 (PHP crashes with core dump when
throwing exception in error handler). (Laruence)

- Fixed bug php#75231 (ReflectionProperty#getValue()
incorrectly works with inherited classes). (Nikita)

**Standard:**

- Fixed bug php#76505 (array_merge_recursive() is
duplicating sub-array keys). (Laruence)

- Fixed bug php#71848 (getimagesize with $imageinfo
returns false). (cmb)

Note that Tenable Network Security has extracted the preceding
description block directly from the Fedora update system website.
Tenable has attempted to automatically clean and format it as much as
possible without introducing additional issues.

Solution

Update the affected php package.

See Also

https://bodhi.fedoraproject.org/updates/FEDORA-2018-6f37f99641

Plugin Details

Severity: High

ID: 111399

File Name: fedora_2018-6f37f99641.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/07/30

Modified: 2018/07/30

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:php, cpe:/o:fedoraproject:fedora:27

Patch Publication Date: 2018/07/27

Reference Information